org.apache.ignite

## Interface IgnitionListener

All Superinterfaces:
  EventListener

    public interface IgnitionListener
    extends EventListener

Listener for gird state change notifications. Use `Ignition.addListener(IgnitionListener)` to register this listener with grid factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onStateChange(@Nullable String name, IgniteState state)` Listener for grid factory state change notifications.

### Method Detail

#### onStateChange

    void onStateChange(@Nullable
                       @Nullable String name,
                       IgniteState state)

Listener for grid factory state change notifications.

Parameters:
  `name` - Ignite instance name (`null` for default un-named Ignite instance).
  `state` - New state.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022